<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: AMP settings
 */

CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('AMP Settings', 'vinkmag'),
	'fields' => [
		[
			'id'             => 'amp_header_logo',
			'type'           => 'media',
			'title'          => esc_html__('Header Logo', 'vinkmag'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'         => 'amp_header_menu',
			'type'       => 'select',
			'multiple'   => false,
			'title'      => esc_html__('Header Menu', 'vinkmag'),
			'options'    => vinkmag_amp_menus(),
			'class'      => 'amp-meu',
			'attributes' => array(
				'data-foo' => 'vinkmag_amp_builder_select',
			),
		],
		[
			'id'       => 'amp_header_top_info_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Topbar', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show topbar?', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'amp_header_nav_search_section',
			'type'     => 'switcher',
			'title'    => esc_html__('Search', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show search?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'             => 'amp_footer_logo',
			'type'           => 'media',
			'title'          => esc_html__('Footer Logo', 'vinkmag'),
			'subtitle'       => '',
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'       => 'amp_footer_newsletter_section',
			'type'     => 'switcher',
			'title'    => esc_html__('Footer Top', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show footer top?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'    => 'amp_footer_mailchimp',
			'type'  => 'text',
			'title' => esc_html__('Mailchimp Shortcode', 'vinkmag'),
		],
		[
			'id'         => 'amp_footer_menu',
			'type'       => 'select',
			'multiple'   => false,
			'title'      => esc_html__('Footer Menu', 'vinkmag'),
			'options'    => vinkmag_amp_menus(),
			'class'      => 'amp-footer-menu',
			'attributes' => array(
				'data-foo' => 'vinkmag_amp_builder_select',
			),
		],
		[
			'id'       => 'amp_footer_copyright',
			'type'     => 'textarea',
			'title'    => esc_html__('Copyright text', 'vinkmag'),
			'subtitle' => esc_html__('This text will be shown at the footer of all pages.', 'vinkmag'),
			'default'  => esc_html__('© 2020, Vinkmag. All rights reserved', 'vinkmag'),
		],
		[
			'id'       => 'amp_back_to_top',
			'type'     => 'switcher',
			'title'    => esc_html__('Back to top', 'vinkmag'),
			'subtitle' => '',
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
	],
]);