<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Post Blocks
 */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Post Blocks & Listing Settings', 'vinkmag'),
	'fields' => [
		[
			'id'       => 'block_category_template',
			'type'     => 'image_select',
			'title'    => esc_html__('Category Template', 'vinkmag'),
			'subtitle' => esc_html__('Post block style in category pages.', 'vinkmag'),
			'options'  => array(
				'style1' => VINKMAG_IMG . '/admin/category-main-layout/min-style1.png',
				'style2' => VINKMAG_IMG . '/admin/category-main-layout/min-style2.png',
				'style3' => VINKMAG_IMG . '/admin/category-main-layout/min-style3.png',
				'style4' => VINKMAG_IMG . '/admin/category-main-layout/min-style4.png',
				'style5' => VINKMAG_IMG . '/admin/category-main-layout/min-style5.png',
				'style6' => VINKMAG_IMG . '/admin/category-main-layout/min-style6.png',
				'style7' => VINKMAG_IMG . '/admin/category-main-layout/style_min7.png',
				'style8' => VINKMAG_IMG . '/admin/category-main-layout/style_min8.png',
				'style9' => VINKMAG_IMG . '/admin/category-main-layout/min-style9.png',
			),
			'default'  => 'style1'
		],
		[
			'id'       => 'featured_categories',
			'type'     => 'text',
			'title'    => esc_html__('Featured Categories (for layout style 7)', 'vinkmag'),
			'subtitle' => esc_html__('Use category\'s slug, seperated by comma.', 'vinkmag'),
		],
		// Todo: Need to check with Atik vai about this field.
		[
			'id'       => 'block_featured_post_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Featured Posts', 'vinkmag'),
			'subtitle' => esc_html__('Show or hide featured posts in category\'s top section', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'         => 'block_featured_post_layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Featured Post Style', 'vinkmag'),
			'subtitle'   => esc_html__('Featured post style in category pages.', 'vinkmag'),
			'options'    => array(
				'style1' => VINKMAG_IMG . '/admin/category-header-layout/min-style1.png',
				'style2' => VINKMAG_IMG . '/admin/category-header-layout/min-style2.png',
			),
			'default'    => 'style1',
			'dependency' => array('block_featured_post_show', '==', 'true')
		],
		[
			'id'       => 'block_sidebar_layout',
			'type'     => 'image_select',
			'title'    => esc_html__('Category Sidebar Layout', 'vinkmag'),
			'subtitle' => esc_html__('The sidebar position of a blog category.', 'vinkmag'),
			'options'  => array(
				'sidebar-right' => VINKMAG_IMG . '/admin/category-sidebar-layout/min-sidebar-right.png',
				'sidebar-none'  => VINKMAG_IMG . '/admin/category-sidebar-layout/min-sidebar-none.png',
			),
			'default'  => 'sidebar-right'
		],
		[
			'id'       => 'block_crop_desc_switch',
			'type'     => 'switcher',
			'title'    => esc_html__('Custom Post Word Length', 'vinkmag'),
			'subtitle' => esc_html__('Enable disable custom post word length.', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'         => 'block_crop_desc_limit',
			'type'       => 'text',
			'label'      => esc_html__('Post Word Limit.', 'vinkmag'),
			'desc'       => esc_html__('Post word limit, example: 100', 'vinkmag'),
			'default'    => '35',
			'dependency' => array('block_crop_desc_switch', '==', 'true')
		],
	],
]);