<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/*
 * Customizer Option: Blog
 * */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Blog Settings', 'vinkmag'),
	'fields' => [
		[
			'id'             => 'blog_header_image',
			'type'           => 'media',
			'title'          => esc_html__('Global header background image', 'vinkmag'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'       => 'post_header_layout',
			'type'     => 'image_select',
			'title'    => esc_html__('Post header layout', 'vinkmag'),
			'subtitle' => esc_html__('Single post\'s header style.', 'vinkmag'),
			'options'  => array(
				'style1' => VINKMAG_IMG . '/admin/post-header-layout/min-style1.png',
				'style2' => VINKMAG_IMG . '/admin/post-header-layout/min-style2.png',
				'style3' => VINKMAG_IMG . '/admin/post-header-layout/min-style3.png',
				'style4' => VINKMAG_IMG . '/admin/post-header-layout/min-style4.png',
				'style5' => VINKMAG_IMG . '/admin/post-header-layout/min-style5.png',
				'style6' => VINKMAG_IMG . '/admin/post-header-layout/min-style6.png',
				'style7' => VINKMAG_IMG . '/admin/post-header-layout/min-style6.png',
				'style8' => VINKMAG_IMG . '/admin/post-header-layout/min-style11.png',
			),
			'default'  => 'style1'
		],
		[
			'id'       => 'post_sidebar_layout',
			'type'     => 'image_select',
			'title'    => esc_html__('Post Sidebar Layout', 'vinkmag'),
			'subtitle' => esc_html__('The sidebar position of a blog post.', 'vinkmag'),
			'options'  => array(
				'sidebar-right' => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-right.png',
				'sidebar-none'  => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-none.png',
			),
			'default'  => 'sidebar-right'
		],
		[
			'id'       => 'blog_sticky_sidebar',
			'type'     => 'switcher',
			'title'    => esc_html__('Sidebar Sticky', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to make sidebar sticky?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_view_count_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post View Counter', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show the view counter in posts?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_author_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog Author Name', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show blog author?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_author_image_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog Author Image', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show the avatar of the author in blog post?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_social_share_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Social Share', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show social share buttons?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_read_time_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Read Time', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show read time buttons?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_date_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Date', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show post date?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_cat_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Category', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show post category in colored-batch?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_popular_post_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Popular Posts Slider', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show popular post slider in each post\'s footer section ? ', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'blog_single_infinite_scroll',
			'type'     => 'switcher',
			'title'    => esc_html__('Infinite Scroll', 'vinkmag'),
			'subtitle' => esc_html__('do you want to turn on infinite scroll in Single post ? ', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'         => 'blog_single_infinite_scroll_items',
			'type'       => 'text',
			'title'      => esc_html__('Number of Posts to show', 'vinkmag'),
			'default'    => '3',
			'dependency' => array('blog_single_infinite_scroll', '==', 'true')
		],
		[
			'id'      => 'blog_pagination_style',
			'type'    => 'image_select',
			'title'   => esc_html__('Blog pagination', 'vinkmag'),
			'options' => array(
				'loadmore' => VINKMAG_IMG . '/admin/pagination/loadmore.png',
				'number'   => VINKMAG_IMG . '/admin/pagination/number.png',
			),
			'default' => 'number'
		],
	],
]);