<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/*
 * Customizer Option: Footer
 * */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Footer Settings', 'vinkmag'),
	'fields' => [
		[
			'id'       => 'footer_layout_style',
			'type'     => 'image_select',
			'title'    => esc_html__('Footer style', 'vinkmag'),
			'subtitle' => esc_html__('This is the site\'s main Footer style.', 'vinkmag'),
			'options'  => array(
				'style1' => VINKMAG_IMG . '/admin/footer-style/style1.png',
				'style2' => VINKMAG_IMG . '/admin/footer-style/style2.png',
			),
			'default'  => 'style1'
		],
		[
			'id'       => 'footer_show_newslatter',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Newsletter', 'vinkmag'),
			'subtitle' => esc_html__('Show or hide the "newslatter form" in footer.', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'         => 'footer_newslatter_options',
			'type'       => 'accordion',
			'dependency' => ['footer_show_newslatter', '==', 'true'],
			'title'      => esc_html__('Newsletter Settings', 'vinkmag'),
			'accordions' => [
				[
					'title'  => esc_html__('Newslatter settings', 'vinkmag'),
					'fields' => [

						[
							'id'    => 'newslatter_title',
							'type'  => 'text',
							'title' => esc_html__('Newslatter title', 'vinkmag'),
						],
						[
							'id'       => 'newslatter_text',
							'type'     => 'textarea',
							'title'    => esc_html__('Newslatter promot text', 'vinkmag'),
							'subtitle' => esc_html__('This text will be displayed just under the title.', 'vinkmag'),
						],
						[
							'id'       => 'newslatter_form_shortcode',
							'type'     => 'text',
							'title'    => esc_html__('Newslatter shortcode', 'vinkmag'),
							'subtitle' => esc_html__('Put your newslatter shortcode here. This shortcode should display the form.', 'vinkmag'),
						],
					]
				]
			],
		],
		[
			'id'       => 'instagram_feed',
			'type'     => 'switcher',
			'title'    => esc_html__('Instagram feed', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show instagram feed?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'         => 'ins_access_token',
			'type'       => 'text',
			'dependency' => ['instagram_feed', '==', 'true'],
			'default'    => esc_attr__('2367672995.1677ed0.dea7a14501d04cd9982c7a0d23c716dd', 'vinkmag'),
			'title'      => esc_html__('Access Token', 'vinkmag'),
			'subtitle'   => esc_html__('This text will be shown access token.', 'vinkmag'),
		],
		[
			'id'         => 'ins_userId',
			'type'       => 'text',
			'dependency' => ['instagram_feed', '==', 'true'],
			'default'    => esc_attr__('2367672995', 'vinkmag'),
			'title'      => esc_html__('User ID', 'vinkmag'),
			'subtitle'   => esc_html__('This text will be shown user id.', 'vinkmag'),
		],
		[
			'id'         => 'ins_limit',
			'type'       => 'text',
			'dependency' => ['instagram_feed', '==', 'true'],
			'title'      => esc_html__('Limit', 'vinkmag'),
			'subtitle'   => esc_html__('This text will be shown limit.', 'vinkmag'),
			'default'    => esc_attr__('6', 'vinkmag'),
		],
		[
			'id'         => 'ins_user_link',
			'type'       => 'text',
			'dependency' => ['instagram_feed', '==', 'true'],
			'title'      => esc_html__('Instagram User Link', 'vinkmag'),
			'subtitle'   => esc_html__('This text will be shown your instagram user link', 'vinkmag'),
			'default'    => esc_attr__('https://www.instagram.com/xpeeder/', 'vinkmag'),
		],
		[
			'id'       => 'footer_copyright',
			'type'     => 'text',
			'title'    => esc_html__('Copyright Text', 'vinkmag'),
			'subtitle' => esc_html__('This text will be shown at the footer of all pages.', 'vinkmag'),
			'default'  => esc_attr__('&copy; 2022, Vinkmag. All rights reserved', 'vinkmag'),
		],
	],
]);
