<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/*
 * Customizer Option: General
 * */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('General Settings', 'vinkmag'),
	'fields' => [
		[
			'id'       => 'general_text_logo',
			'type'     => 'switcher',
			'title'    => esc_html__('Text Logo', 'vinkmag'),
			'subtitle' => esc_html__('You can use text as logo', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'         => 'general_text_logo_title',
			'type'       => 'text',
			'title'      => esc_html__('Text Logo', 'vinkmag'),
			'default'    => 'Site Name',
			'dependency' => array('general_text_logo', '==', 'true')
		],
		[
			'id'         => 'general_text_logo_title_color',
			'type'       => 'color',
			'default'    => '',
			'title'      => esc_html__('Text Logo Color', 'vinkmag'),
			'dependency' => array('general_text_logo', '==', 'true')
		],
		[
			'id'             => 'general_main_logo',
			'type'           => 'media',
			'title'          => esc_html__('Dark Logo', 'vinkmag'),
			'subtitle'       => esc_html__('It\'s the main logo, mostly it will be shown on "light background" type area.', 'vinkmag'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'             => 'general_light_logo',
			'type'           => 'media',
			'title'          => esc_html__('Light Logo', 'vinkmag'),
			'subtitle'       => esc_html__('It will be shown on any "dark or coloreful" type area.', 'vinkmag'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'       => 'blog_breadcrumb_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Breadcrumb', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to show breadcrumb?', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'      => 'blog_breadcrumb_length',
			'type'    => 'text',
			'title'   => esc_html__('Breadcrumb Word Length', 'vinkmag'),
			'default' => '3'
		],
		[
			'id'       => 'general_social_links',
			'type'     => 'group',
			'title'    => esc_html__('Social Links', 'vinkmag'),
			'subtitle' => esc_html__('Add social links and it\'s icon class bellow. These are all fontaweseome-4.7 icons.', 'vinkmag'),
			'fields'   => [
				[
					'id'    => 'title',
					'title' => esc_html__('Title', 'vinkmag'),
					'type'  => 'text',
				],
				[
					'id'    => 'icon_class',
					'title' => esc_html__('Social Icon', 'vinkmag'),
					'type'  => 'icon',
				],
				[
					'id'    => 'url',
					'title' => esc_html__('Social Link', 'vinkmag'),
					'type'  => 'text',
				],
			],
		],


		[
			'id'       => 'blog_reading_pregressbar',
			'type'     => 'switcher',
			'title'    => esc_html__('Reading Progressbar', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to enable reading progressbar?', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'         => 'blog_reading_progressbar_area',
			'type'       => 'select',
			'multiple'   => true,
			'dependency' => array('blog_reading_pregressbar', '==', 'true'),
			'title'      => esc_html__('Reading Progressbar Area', 'vinkmag'),
			'subtitle'   => esc_html__('Select option for reading progressbar on top.', 'vinkmag'),
			'options'    => array(
				'post'     => esc_html__('Blog Post', 'vinkmag'),
				'page'     => esc_html__('Blog Page', 'vinkmag'),
				'category' => esc_html__('Blog Category', 'vinkmag'),
				'all'      => esc_html__('All', 'vinkmag'),
			),
			'default'    => 'post'
		],


		[
			'id'       => 'general_container_width',
			'type'     => 'switcher',
			'title'    => esc_html__('Custom Container Width', 'vinkmag'),
			'subtitle' => esc_html__('Do you want to enable custom container width?', 'vinkmag'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],

		[
			'id'         => 'container_width_laptop',
			'dependency' => array('general_container_width', '==', 'true'),
			'type'       => 'slider',
			'title'      => esc_html__('Container Width Laptop', 'vinkmag'),
			'min'        => 900,
			'max'        => 3000,
			'step'       => 1,
			'unit'       => 'px',
			'default'    => 960,

		],
		[
			'id'         => 'container_width_desktop',
			'dependency' => array('general_container_width', '==', 'true'),
			'type'       => 'slider',
			'title'      => esc_html__('Container Width Desktop', 'vinkmag'),
			'min'        => 900,
			'max'        => 3000,
			'step'       => 1,
			'unit'       => 'px',
			'default'    => 1200,
		],

	],
]);