<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/*
 * Customizer option: Header
 * */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Header Settings', 'vinkmag'),
	'fields' => [
		[
			'id'       => 'header_layout_style',
			'type'     => 'image_select',
			'title'    => esc_html__('Header Style', 'vinkmag'),
			'subtitle' => esc_html__('This is the site\'s main header style.', 'vinkmag'),
			'options'  => array(
				'style1'  => VINKMAG_IMG . '/admin/header-style/style1.png',
				'style2'  => VINKMAG_IMG . '/admin/header-style/style2.png',
				'style3'  => VINKMAG_IMG . '/admin/header-style/style3.png',
				'style4'  => VINKMAG_IMG . '/admin/header-style/style4.png',
				'style5'  => VINKMAG_IMG . '/admin/header-style/style5.png',
				'style6'  => VINKMAG_IMG . '/admin/header-style/style6.png',
				'style7'  => VINKMAG_IMG . '/admin/header-style/style7.png',
				'style8'  => VINKMAG_IMG . '/admin/header-style/style8.png',
				'style9'  => VINKMAG_IMG . '/admin/header-style/style9.png',
				'style10' => VINKMAG_IMG . '/admin/header-style/style10.png',
				'style11' => VINKMAG_IMG . '/admin/header-style/style11.png',
			),
			'default'  => 'style1'
		],
		[
			'id'       => 'header_show_topbar',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Topbar', 'vinkmag'),
			'subtitle' => esc_html__('Show or hide the topbar in header.', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'      => 'suscribe_btn_text',
			'type'    => 'text',
			'title'   => esc_html__('Subscribe Button Text', 'vinkmag'),
			'default' => 'Subscribe'
		],
		[
			'id'      => 'suscribe_btn_url',
			'type'    => 'text',
			'title'   => esc_html__('Subscribe Button URL', 'vinkmag'),
			'default' => '#'
		],
		[
			'id'       => 'header_nav_sticky',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Header Sticky', 'vinkmag'),
			'subtitle' => esc_html__('Show or hide the sticky in header.', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'header_show_banner',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Banner', 'vinkmag'),
			'subtitle' => esc_html__('Show or hide the ad banner in header.', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'header_show_search',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Search', 'vinkmag'),
			'subtitle' => esc_html__('Show or hide the search button in header.', 'vinkmag'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
	],
]);