<?php
/*
 * Vinkmag Page Header Metabox
 *
 * */
if(defined('VINKMAG_DEMO')) {

	CSF::createMetabox('settings-page-header', array(
		'title'     => esc_html__('Page Header Style', 'vinkmag'),
		'post_type' => 'page',
		'context'   => 'normal',
		'theme'     => 'light',
		'data_type' => 'unserialize',
	));

	CSF::createSection('settings-page-header', array(
		'fields' => [
			[
				'id'       => 'override_default',
				'type'     => 'switcher',
				'title'    => esc_html__('Override Default Layouts?', 'vinkmag'),
				'desc'     => esc_html__('You can change the default options from customizer\'s "Blog settings".', 'vinkmag'),
				'default'  => false,
				'text_on'  => esc_html__('Yes', 'vinkmag'),
				'text_off' => esc_html__('No', 'vinkmag'),
			],
			[
				'id'      => 'header_layout_style',
				'type'    => 'image_select',
				'title'   => esc_html__('Header Style', 'vinkmag'),
				'desc'    => esc_html__('This is the site\'s main header style.', 'vinkmag'),
				'options' => array(
					'style1'  => VINKMAG_IMG . '/admin/header-style/style1.png',
					'style2'  => VINKMAG_IMG . '/admin/header-style/style2.png',
					'style3'  => VINKMAG_IMG . '/admin/header-style/style3.png',
					'style4'  => VINKMAG_IMG . '/admin/header-style/style4.png',
					'style5'  => VINKMAG_IMG . '/admin/header-style/style5.png',
					'style6'  => VINKMAG_IMG . '/admin/header-style/style6.png',
					'style7'  => VINKMAG_IMG . '/admin/header-style/style7.png',
					'style8'  => VINKMAG_IMG . '/admin/header-style/style8.png',
					'style9'  => VINKMAG_IMG . '/admin/header-style/style9.png',
					'style10' => VINKMAG_IMG . '/admin/header-style/style10.png',
					'style11' => VINKMAG_IMG . '/admin/header-style/style11.png',
				),
				'default' => 'style1'
			],
		],
	));

	CSF::createMetabox('custom-header-footer', array(
		'title'     => esc_html__('Page Header Footer Builder', 'vinkmag'),
		'post_type' => 'page',
		'context'   => 'side',
		'theme'     => 'light',
		'data_type' => 'unserialize',
	));

	CSF::createSection('custom-header-footer', array(
		'fields' => [
			[
				'id'    => 'type_header',
				'type'  => 'text',
				'title' => esc_html__('Header ID', 'vinkmag'),
			],
			[
				'id'    => 'type_footer',
				'type'  => 'text',
				'title' => esc_html__('Footer ID', 'vinkmag'),
			],
		],
	));
}