<?php
/*
 * Vinkmag post featured video Metabox
 * */
CSF::createMetabox('settings-featured-video', array(
    'title'     => esc_html__('Featured Video', 'vinkmag'),
    'post_type' => 'post',
    'context'   => 'side',
    'theme'     => 'light',
    'data_type' => 'unserialize',
));

// Vinkmag featured video url
CSF::createSection('settings-featured-video', array(
    'fields' => array(
        array(
            'id'       => 'featured_video',
            'type'     => 'text',
            'title'    => esc_html__('Video URL', 'vinkmag'),
            'subtitle' => esc_html__('Paste a video link from Youtube, Vimeo, Dailymotion, Facebook or Twitter it will be embedded in the post and the thumb used as the featured image of this post. 
					You need to choose "Video Format" as post format to use "Featured Video".', 'vinkmag'),
        ),
    )
));

// Vinkmag Post Banner metabox
CSF::createMetabox('settings-banner-image', array(
    'title'     => esc_html__('Banner Image', 'vinkmag'),
    'post_type' => 'post',
    'context'   => 'side',
    'theme'     => 'light',
    'data_type' => 'unserialize',
));

// Vinkmag featured Banner Image
CSF::createSection('settings-banner-image', array(
    'fields' => array(
        array(
            'id'   => 'banner-image',
            'type' => 'media',
            'desc' => esc_html__('Upload an image if you do not want to show default featured image', 'vinkmag'),
            'url'  => false,
        ),
    )
));

// Vinkmag Post Breaking News Metabox
CSF::createMetabox('settings-breaking-news', array(
    'title'     => esc_html__('Breaking News', 'vinkmag'),
    'post_type' => 'post',
    'context'   => 'side',
    'theme'     => 'light',
    'data_type' => 'unserialize',
));

// Vinkmag Post Breaking News Switcher
CSF::createSection('settings-breaking-news', array(
    'fields' => array(
        array(
            'id'       => 'breaking_news',
            'type'     => 'switcher',
            'title'    => esc_html__('Set as Breaking News?', 'vinkmag'),
            'default'  => false,
            'text_on'  => esc_html__('Yes', 'vinkmag'),
            'text_off' => esc_html__('No', 'vinkmag'),
        ),
    )
));

// Vinkmag Post options for demo setup
if (defined('VINKMAG_DEMO')) {

    CSF::createMetabox('settings-post-layout', array(
        'title'     => esc_html__('Post Layout', 'vinkmag'),
        'post_type' => 'post',
        'context'   => 'normal',
        'theme'     => 'light',
        'data_type' => 'unserialize',
    ));


    // Vinkmag Post Demo
    CSF::createSection('settings-post-layout', array(
        'fields' => [
            [
                'id'       => 'override_default',
                'type'     => 'switcher',
                'title'    => esc_html__('Override Default Layouts?', 'vinkmag'),
                'desc'     => esc_html__('You can change the default options from customizer\'s "Blog settings".', 'vinkmag'),
                'default'  => false,
                'text_on'  => esc_html__('Yes', 'vinkmag'),
                'text_off' => esc_html__('No', 'vinkmag'),
            ],
            [
                'id'      => 'post_header_layout',
                'type'    => 'image_select',
                'title'   => esc_html__('Post Header Layout', 'vinkmag'),
                'desc'    => esc_html__('Single post\'s header style.', 'vinkmag'),
                'options' => array(
                    'style1' => VINKMAG_IMG . '/admin/post-header-layout/min-style1.png',
                    'style2' => VINKMAG_IMG . '/admin/post-header-layout/min-style2.png',
                    'style3' => VINKMAG_IMG . '/admin/post-header-layout/min-style3.png',
                    'style4' => VINKMAG_IMG . '/admin/post-header-layout/min-style4.png',
                    'style5' => VINKMAG_IMG . '/admin/post-header-layout/min-style5.png',
                    'style6' => VINKMAG_IMG . '/admin/post-header-layout/min-style6.png',
                    'style7' => VINKMAG_IMG . '/admin/post-header-layout/min-style7.png',
                    'style8' => VINKMAG_IMG . '/admin/post-header-layout/min-style8.png'
                ),
                'default' => 'style1',
                'dependency' => array('override_default', '==', 'true')
            ],
            [
                'id'      => 'post_sidebar_layout',
                'type'    => 'image_select',
                'title'   => esc_html__('Post Sidebar Layout', 'vinkmag'),
                'desc'    => esc_html__('The sidebar position of a blog post.', 'vinkmag'),
                'options' => array(
                    'sidebar-right' => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-right.png',
                    'sidebar-none' => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-none.png',
                ),
                'default' => 'sidebar-right',
                'dependency' => array('override_default', '==', 'true')
            ],
        ]
    ));
}