<?php
/**
 * content.php
 *
 * The default template for displaying content.
 */
$blog_author_show = (isset($settings['show_author']))
    ? $settings['show_author']
    : vinkmag_option('blog_author_show', '1');

$blog_author_image_show = (isset($settings['show_author_image']))
    ? $settings['show_author_image']
    : vinkmag_option('blog_author_image_show', '1');
$desc_limit = (isset($settings['desc_limit']))
    ? $settings['desc_limit']
    : 35;

$blog_date_show = (isset($settings['show_date']))
    ? $settings['show_date']
    : vinkmag_option('blog_date_show', '1');
$blog_cat_show = (isset($settings['show_cat']))
    ? $settings['show_cat']
    : vinkmag_option('blog_cat_show', '1');
$thumb = (isset($thumb))
    ? $thumb
    : [600, 398];


?>

<div <?php post_class('row swiper-slide'); ?>>
    <div class="col-lg-4">
        <div class="ts-post-thumb">
            <?php
            echo wp_get_attachment_image(get_post_thumbnail_id(get_the_ID()), array('700', '600'), "", array(
                'alt'   => get_the_title(),
                'class' => "img-fluid"
            ));
            ?>
        </div>
    </div>
    <!-- col end-->
    <div class="col-lg-8">
        <div class="post-content post-content-item">
            <h3 class="post-title large">
                <a href="<?php the_permalink(); ?>">
                    <?php echo esc_html(get_the_title()); ?>
                </a>
            </h3>
            <p>
                <?php vinkmag_excerpt($desc_limit); ?>
            </p>
            <ul class="post-meta-info">
                <?php if ($blog_author_show == 'yes' || $blog_author_show == '1'): ?>
                    <li class="author">
                        <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
                            <?php if ($blog_author_image_show == 'yes' || $blog_author_image_show == '1'): ?>
                                <?php echo get_avatar(get_the_author_meta('ID')); ?>
                            <?php endif; ?>
                            <?php echo esc_html(get_the_author_meta('display_name')); ?>
                        </a>
                    </li>
                <?php endif; ?>
                <?php if ($blog_date_show == 'yes' || $blog_date_show == '1'): ?>
                    <li>
                        <i class="xsicon xsicon-clock"></i><?php echo get_the_date(); ?>
                    </li>
                <?php endif; ?>

            </ul>
        </div>
    </div>
</div>

